## python-ceilometerclient 1.0.5

=== requirements.txt ===
pbr>=0.5.21,<1.0
argparse
httplib2
iso8601>=0.1.4
PrettyTable>=0.6,<0.8
python-keystoneclient>=0.3.2

## python-ceilometerclient 1.0.0

=== debian/changelog ===
python-ceilometerclient (1.0.0-0ubuntu1) raring; urgency=low

  * New upstream version. 
  * debian/rules, debian/watch: Add watch file.
  * debian/control: 
    - Dropped python-warlock no longer needed.
    - Added python-setuptools-git.
  * debian/rules: Run testsuite during build.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 28 Mar 2013 08:23:31 -0500

python-ceilometerclient (0.1~dde86a3-0ubuntu1) raring; urgency=low

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 01 Mar 2013 12:47:39 -0600

=== debian/control ===
Source: python-ceilometerclient
Section: python
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), 
 python-all (>= 2.6.6-3~),
 python-setuptools,
 python-setuptools-git,
 python-prettytable,
 python-keystoneclient,
 python-httplib2,
 python-iso8601,
 python-mox,
 python-nose,
 pep8,
 python-setuptools-git,
 python-sphinx,
 python-unittest2
Standards-Version: 3.9.4
Homepage: http://launchpad.net/ceilometer

Package: python-ceilometerclient
Architecture: all
Depends: python-prettytable,
 python-keystoneclient,
 python-httplib2,
 python-iso8601, 
 ${python:Depends}, 
 ${misc:Depends}
Description: Client library for Openstack ceilometer server.
 This is a client library for Ceilometer built on the Ceilometer API. 
 It provides a Python API (the ceilometerclient module) and 
 a command-line tool (ceilometer).

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	nosetests
endif

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

## python-ceilometerclient 1.0.5

=== debian/changelog ===
python-ceilometerclient (1.0.5-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1232035).
  * debian/control:
    - Dropped python-setuptools-git as a build dependency.
    - Added versioned dependencies for python-prettytable, python-pbr,
      python-keystoneclient, python-fixtures, testrepository,
      and python-testtools,

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 26 Sep 2013 15:02:33 -0400

python-ceilometerclient (1.0.3-0ubuntu2) saucy; urgency=low

  * debian/control: Depend on python-pbr (>= 0.5.21).

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 20 Aug 2013 11:10:23 -0400

python-ceilometerclient (1.0.3-0ubuntu1) saucy; urgency=low

  * New upstream release. 
  * debian/patches/fix-keystoneclient-version.patch: Dropped no longer needed. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 13 Aug 2013 11:27:54 -0400

python-ceilometerclient (1.0.1-0ubuntu2) saucy; urgency=low

  [ Chuck Short ]
  * debian/docs: Update

  [ James Page ]
  * d/control: Update VCS fields for new branch locations.
  * d/watch: Tweak URL path to ensure that uscan still works.
  * d/p/fix-keystoneclient-version.patch: Remove upper bound on keystoneclient
    version until the next upstream release.

 -- James Page <james.page@ubuntu.com>  Mon, 22 Jul 2013 12:51:48 +0100

python-ceilometerclient (1.0.1-0ubuntu1) saucy; urgency=low

  [ Chuck Short ]
  * New upstream release. 
  * debian/control: 
    - Dropped python-unittest2, python-nose.
    - Added python-coverage, python-fixtures, python-subunit,
      python-testtools, python-testrepository, python-d2to1,
      python-pbr
    - Dropped duplicate python-setuptools-git
    - Dropped pep8.
  * debian/rules: Convert testsuite to use testr.

  [ Yolanda Robla ]
  * debian/tests: added autopkg tests

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 04 Jul 2013 07:13:11 -0500

=== debian/control ===
--- 
+++ 
@@ -4,25 +4,30 @@
 Maintainer: Chuck Short <zulcss@ubuntu.com>
 Build-Depends: debhelper (>= 8.0.0), 
  python-all (>= 2.6.6-3~),
+ python-coverage,
+ python-d2to1,
+ python-fixtures (>= 0.3.14),
+ python-subunit,
  python-setuptools,
- python-setuptools-git,
- python-prettytable,
- python-keystoneclient,
+ python-prettytable (>= 0.6),
+ python-keystoneclient (>= 0.3.2),
  python-httplib2,
  python-iso8601,
+ python-pbr (>= 0.5.21),
  python-mox,
- python-nose,
- pep8,
- python-setuptools-git,
  python-sphinx,
- python-unittest2
+ testrepository (>= 0.0.17),
+ python-testtools (>= 0.9.32)
 Standards-Version: 3.9.4
 Homepage: http://launchpad.net/ceilometer
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/python-ceilometerclient/havana/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/python-ceilometerclient/havana
+XS-Testsuite: autopkgtest
 
 Package: python-ceilometerclient
 Architecture: all
-Depends: python-prettytable,
- python-keystoneclient,
+Depends: python-prettytable (>= 0.6),
+ python-keystoneclient (>= 0.3.2),
  python-httplib2,
  python-iso8601, 
  ${python:Depends},

## python-ceilometerclient 1.0.6

=== debian/changelog ===
python-ceilometerclient (1.0.6-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 05 Oct 2013 18:12:24 +0800

python-ceilometerclient (1.0.5-1) unstable; urgency=low

  * New upstream release.
  * Added --slowest --testr-args='--subunit  ' when calling testr.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Oct 2013 15:21:55 +0800

python-ceilometerclient (1.0.3-1) unstable; urgency=low

  * New upstream release.
  * Added missing build-depends: python-d2to1 (Closes: #724131).

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2013 10:08:10 +0800

python-ceilometerclient (1.0.2-2) unstable; urgency=low

  * Added missing build-depends: testrepository.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Jul 2013 07:35:18 +0000

python-ceilometerclient (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * Ran wrap-and-sort.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 May 2013 13:40:55 +0800

python-ceilometerclient (1.0.0-2) unstable; urgency=low

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 May 2013 09:05:24 +0000

python-ceilometerclient (1.0.0-1) experimental; urgency=low

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2013 23:35:35 +0800

python-ceilometerclient (0~git+d740e376-1) experimental; urgency=low

  * Initial release (Closes: #701064).

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 Nov 2012 17:15:12 +0000

=== debian/control ===
Source: python-ceilometerclient
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-d2to1
Build-Depends-Indep: pep8,
                     python-argparse,
                     python-httplib2,
                     python-iso8601,
                     python-keystoneclient (>= 1:0.1.2),
                     python-mox,
                     python-nose,
                     python-nosexcover,
                     python-prettytable (>= 0.6),
                     python-setuptools (>= 0.6.24),
                     python-setuptools-git,
                     python-sphinx,
                     python-subunit,
                     python-unittest2,
                     python-warlock,
                     testrepository
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-ceilometerclient.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/python-ceilometerclient.git
Homepage: http://www.openstack.org

Package: python-ceilometerclient
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-argparse,
         python-httplib2,
         python-iso8601,
         python-keystoneclient (>= 1:0.1.2),
         python-prettytable (>= 0.6),
         python-setuptools,
         python-setuptools-git,
         python-sphinx,
         python-warlock,
         ${misc:Depends},
         ${python:Depends}
Description: Client library for Openstack Ceilometer API server
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, accross all
 current and future OpenStack components. The delivery of counters must be
 tracable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This is a client for the Ceilometer which uses the OpenStack Image API.
 There's a Python API (the "ceilometerclient" module), and a command-line
 script ("ceilometer").

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

MANIFEST_EXCLUDE_STANDARD := ceilometerclient

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@  --with python2

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	set -e ; for pyversion in $(shell pyversions -r); do $$pyversion setup.py test; done
	set -e ; for pyversion in $(shell pyversions -r); do \
		$$pyversion setup.py testr --slowest --testr-args='--subunit  '; \
	done
#	echo "No test for now"
endif

override_dh_clean:
	dh_clean
	rm -rf setuptools_git-*-py2*.egg

## python-ceilometerclient 1.0.8

=== requirements.txt ===
pbr>=0.5.21,<1.0
argparse
httplib2
iso8601>=0.1.8
PrettyTable>=0.6,<0.8
python-keystoneclient>=0.4.1
six>=1.4.1

=== debian/changelog ===
python-ceilometerclient (1.0.8-0ubuntu1) trusty; urgency=low

  [ James Page ]
  * d/control: Add missing BD on python-babel. 

  [ Chuck Short ]
  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 21 Jan 2014 09:53:01 -0500

python-ceilometerclient (1.0.6-0ubuntu1) trusty; urgency=low

  * New upstream release.
  * debian/control:
    - Open icehouse release.
    - Dropped python-d2to1 dependency.
    - Added python-mock dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 25 Nov 2013 09:59:36 -0500

=== debian/control ===
Source: python-ceilometerclient
Section: python
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), 
 python-all (>= 2.6.6-3~),
 python-babel,
 python-coverage,
 python-fixtures (>= 0.3.14),
 python-subunit,
 python-setuptools,
 python-prettytable (>= 0.6),
 python-keystoneclient (>= 0.3.2),
 python-httplib2,
 python-iso8601,
 python-pbr (>= 0.5.21),
 python-mock,
 python-mox,
 python-sphinx,
 testrepository (>= 0.0.17),
 python-testtools (>= 0.9.32)
Standards-Version: 3.9.4
Homepage: http://launchpad.net/ceilometer
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/python-ceilometerclient/icehouse/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/python-ceilometerclient/icehouse
XS-Testsuite: autopkgtest

Package: python-ceilometerclient
Architecture: all
Depends: python-prettytable (>= 0.6),
 python-keystoneclient (>= 0.3.2),
 python-httplib2,
 python-iso8601, 
 ${python:Depends}, 
 ${misc:Depends}
Description: Client library for Openstack ceilometer server.
 This is a client library for Ceilometer built on the Ceilometer API. 
 It provides a Python API (the ceilometerclient module) and 
 a command-line tool (ceilometer).

=== debian/tests/control ===
Tests: client
Depends: python-ceilometerclient

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/p/python-ceilometerclient/ python-ceilometerclient-(.*)\.tar.gz

## python-ceilometerclient 1.0.10

=== requirements.txt ===
pbr>=0.6,<1.0
argparse
iso8601>=0.1.9
PrettyTable>=0.7,<0.8
python-keystoneclient>=0.6.0
six>=1.5.2

=== debian/changelog ===
python-ceilometerclient (1.0.10-1) unstable; urgency=medium

  * New upstream release (Closes: #741409).
  * Updated (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 May 2014 00:28:43 +0800

python-ceilometerclient (1.0.9-1) unstable; urgency=medium

  * New upstream release.
  * Reviewed (build-)dependencies and added missing "subunit" build-depends
    (Closes: #743093).
  * Disable man page build because it's failing in Wheezy backport.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Mar 2014 15:16:04 +0800

python-ceilometerclient (1.0.6-2) unstable; urgency=medium

  * Fixed subunit output.
  * Added python-ceilometerclient man page.
  * Standards-Version: is now 3.9.5.

 -- Thomas Goirand <zigo@debian.org>  Sun, 16 Mar 2014 14:29:03 +0800

=== debian/control ===
Source: python-ceilometerclient
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.6),
               python-setuptools
Build-Depends-Indep: python-coverage (>= 3.6),
                     python-fixtures (>= 0.3.14),
                     python-hacking (>= 0.8.0),
                     python-iso8601 (>= 0.1.9),
                     python-keystoneclient (>= 1:0.6.0),
                     python-mock (>= 1.0),
                     python-prettytable (>= 0.7),
                     python-six (>= 1.5.2),
                     python-sphinx,
                     python-subunit (>= 0.0.18),
                     python-testtools (>= 0.9.34),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-ceilometerclient.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/python-ceilometerclient.git
Homepage: http://www.openstack.org

Package: python-ceilometerclient
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-iso8601 (>= 0.1.9),
         python-keystoneclient (>= 1:0.6.0),
         python-pbr (>= 0.6),
         python-prettytable (>= 0.7),
         python-six (>= 1.5.2),
         ${misc:Depends},
         ${python:Depends}
Description: Client library for Openstack Ceilometer API server
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, accross all
 current and future OpenStack components. The delivery of counters must be
 tracable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This is a client for the Ceilometer which uses the OpenStack Image API.
 There's a Python API (the "ceilometerclient" module), and a command-line
 script ("ceilometer").

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

MANIFEST_EXCLUDE_STANDARD := ceilometerclient

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e && set -x && for pyversion in $(shell pyversions -r); do \
		TEMP_REZ=`mktemp -t` ; \
		$$pyversion setup.py testr --slowest --testr-args='--subunit  ' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .testrepository
	rm -rf doc/man

override_dh_installman:
#ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
#	sphinx-build -b man doc/source doc/man
#	mv doc/man/python-ceilometerclient.1 doc/man/ceilometer.1
#	sed -i s/python-ceilometerclient/python-ceilometerclient/ doc/man/ceilometer.1
#	dh_installman -O--buildsystem=python_distutils
#endif

## python-ceilometerclient 1.0.13

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=0.6,!=0.7,<1.0
argparse
iso8601>=0.1.9
oslo.i18n>=1.3.0  # Apache-2.0
oslo.serialization>=1.2.0               # Apache-2.0
oslo.utils>=1.2.0                       # Apache-2.0
PrettyTable>=0.7,<0.8
python-keystoneclient>=1.1.0
requests>=2.2.0,!=2.4.0
six>=1.7.0
stevedore>=1.1.0  # Apache-2.0

=== debian/changelog ===
python-ceilometerclient (1.0.13-0ubuntu1~cloud0) trusty-kilo; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Sat, 21 Mar 2015 09:39:35 +0000

python-ceilometerclient (1.0.13-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * debian/control: Update dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 04 Mar 2015 10:56:52 -0500

python-ceilometerclient (1.0.12-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * debian/control: Add python-stevedore and python-oslsphinx
  * Open up for vivid.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 12 Nov 2014 08:43:07 -0500

python-ceilometerclient (1.0.10-0ubuntu1) utopic; urgency=medium

  * New upstream version.
  * debian/control: Open up juno release
  * debian/control: Drop python-mox and python-httplib2 as a dependency.
  * debian/control: Add python-six and python-hacking as a dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 24 Jul 2014 12:40:24 -0400

=== debian/control ===
Source: python-ceilometerclient
Section: python
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), 
 python-all (>= 2.6.6-3~),
 python-babel,
 python-coverage,
 python-fixtures (>= 0.3.14),
 python-hacking,
 python-subunit,
 python-setuptools,
 python-oslo-utils (>= 1.2.0),
 python-oslo-i18n (>= 1.3.0),
 python-oslo-serialization (>= 1.2.0),
 python-prettytable (>= 0.6),
 python-keystoneclient (>= 1.1.0),
 python-requests,
 python-stevedore,
 python-iso8601,
 python-pbr (>= 0.5.21),
 python-mock,
 python-oslosphinx,
 python-sphinx,
 python-six,
 testrepository (>= 0.0.17),
 python-testtools (>= 0.9.32)
Standards-Version: 3.9.4
Homepage: http://launchpad.net/ceilometer
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/python-ceilometerclient/kilo/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/python-ceilometerclient/kilo
XS-Testsuite: autopkgtest

Package: python-ceilometerclient
Architecture: all
Depends: python-prettytable (>= 0.7),
 python-keystoneclient (>= 1.1.0),
 python-iso8601 (>= 0.1.9),
 python-requests,
 python-oslo-i18n (>= 1.3.0),
 python-oslo-serialization (>= 1.2.0),
 python-oslo-utils (>= 1.2.0),
 python-six,
 python-stevedore (>= 1.1.0),
 ${python:Depends}, 
 ${misc:Depends}
Description: Client library for Openstack ceilometer server.
 This is a client library for Ceilometer built on the Ceilometer API. 
 It provides a Python API (the ceilometerclient module) and 
 a command-line tool (ceilometer).

## python-ceilometerclient 1.5.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr<2.0,>=1.6
argparse
iso8601>=0.1.9
oslo.i18n>=1.5.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
PrettyTable<0.8,>=0.7
python-keystoneclient>=1.6.0
requests>=2.5.2
six>=1.9.0
stevedore>=1.5.0 # Apache-2.0

=== debian/changelog ===
python-ceilometerclient (1.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Sep 2015 18:37:59 +0200

python-ceilometerclient (1.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Sep 2015 14:42:58 +0200

python-ceilometerclient (1.3.0-2) experimental; urgency=medium

  * Re-added missing changes from 1.2.0-2

 -- Thomas Goirand <zigo@debian.org>  Sun, 02 Aug 2015 16:16:00 +0000

python-ceilometerclient (1.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Blacklist *test_client.ClientAuthTest.test_discover_auth_versions*

 -- Thomas Goirand <zigo@debian.org>  Sun, 02 Aug 2015 16:04:50 +0000

python-ceilometerclient (1.2.0-2) experimental; urgency=medium

  * Add autopkgtests from Ubuntu.

 -- James Page <james.page@ubuntu.com>  Wed, 08 Jul 2015 17:08:43 +0100

python-ceilometerclient (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this release.
  * Added Python 3 support.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Jun 2015 15:09:57 +0200

python-ceilometerclient (1.0.13-1) unstable; urgency=medium

  * New upstream release.
  * Now generating the doc.

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Apr 2015 10:55:59 +0200

=== debian/control ===
Source: python-ceilometerclient
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-coverage,
                     python-fixtures,
                     python-hacking,
                     python-iso8601,
                     python-keystoneclient (>= 1:1.6.0),
                     python-mock,
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-prettytable,
                     python-requests (>= 2.5.2),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.5.0),
                     python-tempest-lib (>= 0.5.0),
                     python-testtools,
                     python3-fixtures,
                     python3-iso8601,
                     python3-keystoneclient (>= 1:1.6.0),
                     python3-mock,
                     python3-oslo.i18n (>= 1.5.0),
                     python3-oslo.serialization (>= 1.4.0),
                     python3-oslo.utils (>= 2.0.0),
                     python3-prettytable,
                     python3-requests (>= 2.5.2),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.5.0),
                     python3-subunit,
                     python3-tempest-lib (>= 0.5.0),
                     python3-testtools,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-ceilometerclient.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/python-ceilometerclient.git
Homepage: http://www.openstack.org
XS-Testsuite: autopkgtest

Package: python-ceilometerclient
Architecture: all
Depends: python-iso8601,
         python-keystoneclient (>= 1:1.6.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 2.0.0),
         python-pbr (>= 1.8),
         python-prettytable,
         python-requests (>= 2.5.2),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.5.0),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-ceilometerclient-doc
Description: Client library for Openstack Ceilometer API server - Python 2.7
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, accross all
 current and future OpenStack components. The delivery of counters must be
 tracable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This is a client for the Ceilometer which uses the OpenStack Image API.
 There's a Python API (the "ceilometerclient" module), and a command-line
 script ("ceilometer").
 .
 This package contains the Python 2.7 module.

Package: python3-ceilometerclient
Architecture: all
Depends: python3-iso8601,
         python3-keystoneclient (>= 1:1.6.0),
         python3-oslo.i18n (>= 1.5.0),
         python3-oslo.serialization (>= 1.4.0),
         python3-oslo.utils (>= 2.0.0),
         python3-pbr (>= 1.8),
         python3-prettytable,
         python3-requests (>= 2.5.2),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.5.0),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-ceilometerclient-doc
Description: Client library for Openstack Ceilometer API server - Python 3.x
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, accross all
 current and future OpenStack components. The delivery of counters must be
 tracable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This is a client for the Ceilometer which uses the OpenStack Image API.
 There's a Python API (the "ceilometerclient" module), and a command-line
 script ("ceilometer").
 .
 This package contains the Python 3.x module.

Package: python-ceilometerclient-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Client library for Openstack Ceilometer API server - doc
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, accross all
 current and future OpenStack components. The delivery of counters must be
 tracable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This is a client for the Ceilometer which uses the OpenStack Image API.
 There's a Python API (the "ceilometerclient" module), and a command-line
 script ("ceilometer").
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -10,16 +10,40 @@
 export OSLO_PACKAGE_VERSION=$(VERSION)
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2
+	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
+
+override_dh_install:
+	set -e ; for pyvers in $(PYTHONS); do \
+		python$$pyvers setup.py install --install-layout=deb \
+			--root $(CURDIR)/debian/python-ceilometerclient; \
+	done
+	set -e ; for pyvers in $(PYTHON3S); do \
+		python$$pyvers setup.py install --install-layout=deb \
+			--root $(CURDIR)/debian/python3-ceilometerclient; \
+	done
+	mv $(CURDIR)/debian/python-ceilometerclient/usr/bin/ceilometer $(CURDIR)/debian/python-ceilometerclient/usr/bin/python2-ceilometer
+	mv $(CURDIR)/debian/python3-ceilometerclient/usr/bin/ceilometer $(CURDIR)/debian/python3-ceilometerclient/usr/bin/python3-ceilometer
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	set -e && set -x && for pyversion in $(shell pyversions -r); do \
+	@echo "===> Running tests"
+	set -e ; set -x ; for i in 2.7 3.4 ; do \
+		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
+		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
+		rm -rf .testrepository ; \
+		testr-python$$PYMAJOR init ; \
 		TEMP_REZ=`mktemp -t` ; \
-		$$pyversion setup.py testr --slowest --testr-args='--subunit  ' | tee $$TEMP_REZ | subunit2pyunit ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'ceilometerclient\.tests\.unit\.(?!.*test_client.ClientAuthTest\.test_discover_auth_versions.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
 		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
 		rm -f $$TEMP_REZ ; \
+		testr-python$$PYMAJOR slowest ; \
 	done
+endif
+
+override_dh_sphinxdoc:
+ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
+	sphinx-build -b html doc/source $(CURDIR)/debian/python-ceilometerclient-doc/usr/share/doc/python-ceilometerclient-doc/html
+	dh_sphinxdoc -O--buildsystem=python_distutils
 endif
 
 override_dh_clean:

## python-ceilometerclient 2.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
iso8601>=0.1.9 # MIT
keystoneauth1>=2.1.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
PrettyTable<0.8,>=0.7 # BSD
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.5.0 # Apache-2.0

=== debian/changelog ===
python-ceilometerclient (2.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 13:19:04 +0000

python-ceilometerclient (2.4.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed hardcoded Python 2.7 version when running unit tests

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 02 Apr 2016 15:04:37 +0200

python-ceilometerclient (2.3.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * Fixed typos in package description.
  * Added more Debian tests.

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * d/p/skip-tests.patch: Skip failing test that has upstream bug opened.

  [ Thomas Goirand ]
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 03:23:43 +0000

python-ceilometerclient (2.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Updated debian/copyright.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Jan 2016 05:22:43 +0000

python-ceilometerclient (2.1.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align dependencies with upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Jan 2016 02:43:11 +0000

python-ceilometerclient (2.0.1-1) experimental; urgency=medium

  * New upstream release.
  * d/control: Align dependencies with upstream.
  * d/gbp.conf: Change debian-branch to debian/mitaka.
  * d/control: Update uploaders.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 Dec 2015 12:52:00 -0500

python-ceilometerclient (1.5.0-3) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 22:26:28 +0000

python-ceilometerclient (1.5.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Re-enable Python 3.5 testing, as it now works.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 21:32:45 +0000

=== debian/control ===
Source: python-ceilometerclient
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-coverage,
                     python-fixtures,
                     python-hacking,
                     python-iso8601,
                     python-keystoneclient (>= 1:1.6.0),
                     python-mock,
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-prettytable,
                     python-requests (>= 2.8.1),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.5.0),
                     python-tempest-lib (>= 0.14.0),
                     python-testtools,
                     python-keystoneauth1 (>= 2.1.0),
                     python3-fixtures,
                     python3-iso8601,
                     python3-keystoneclient (>= 1:1.6.0),
                     python3-mock,
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.5.0),
                     python3-prettytable,
                     python3-requests (>= 2.8.1),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.5.0),
                     python3-subunit,
                     python3-tempest-lib (>= 0.14.0),
                     python3-testtools,
                     python3-keystoneauth1 (>= 2.1.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-ceilometerclient.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/python-ceilometerclient.git
Homepage: http://www.openstack.org
XS-Testsuite: autopkgtest

Package: python-ceilometerclient
Architecture: all
Depends: python-iso8601,
         python-keystoneclient (>= 1:1.6.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.5.0),
         python-pbr (>= 1.8),
         python-prettytable,
         python-requests (>= 2.8.1),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.5.0),
         python-keystoneauth1 (>= 2.1.0),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-ceilometerclient-doc
Description: Client library for Openstack Ceilometer API server - Python 2.7
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must be
 tracable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This is a client for the Ceilometer which uses the OpenStack Image API.
 There's a Python API (the "ceilometerclient" module), and a command-line
 script ("ceilometer").
 .
 This package contains the Python 2.7 module.

Package: python3-ceilometerclient
Architecture: all
Depends: python3-iso8601,
         python3-keystoneclient (>= 1:1.6.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.5.0),
         python3-pbr (>= 1.8),
         python3-prettytable,
         python3-requests (>= 2.8.1),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.5.0),
         python3-keystoneauth1 (>= 2.1.0),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-ceilometerclient-doc
Description: Client library for Openstack Ceilometer API server - Python 3.x
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must be
 tracable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This is a client for the Ceilometer which uses the OpenStack Image API.
 There's a Python API (the "ceilometerclient" module), and a command-line
 script ("ceilometer").
 .
 This package contains the Python 3.x module.

Package: python-ceilometerclient-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Client library for Openstack Ceilometer API server - doc
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must be
 tracable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This is a client for the Ceilometer which uses the OpenStack Image API.
 There's a Python API (the "ceilometerclient" module), and a command-line
 script ("ceilometer").
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -24,10 +24,13 @@
 	mv $(CURDIR)/debian/python-ceilometerclient/usr/bin/ceilometer $(CURDIR)/debian/python-ceilometerclient/usr/bin/python2-ceilometer
 	mv $(CURDIR)/debian/python3-ceilometerclient/usr/bin/ceilometer $(CURDIR)/debian/python3-ceilometerclient/usr/bin/python3-ceilometer
 
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
+
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	@echo "===> Running tests"
-	set -e ; set -x ; for i in 2.7 3.4 ; do \
+	set -e ; set -x ; for i in $(PYTHONS) $(PYTHON3S) ; do \
 		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
 		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
 		rm -rf .testrepository ; \

=== debian/tests/control ===
Tests: client
Depends: python-ceilometerclient

Depends: python-ceilometerclient
Test-Command: python -c "import ceilometerclient; print ceilometerclient.__version__"

Depends: python3-ceilometerclient
Test-Command: python3 -c "import ceilometerclient; print(ceilometerclient.__version__)"

=== debian/watch ===
version=3
https://github.com/openstack/python-ceilometerclient/tags .*/(\d[\d\.]+)\.tar\.gz

## python-ceilometerclient 2.5.0

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 pbr>=1.6 # Apache-2.0
-iso8601>=0.1.9 # MIT
+iso8601>=0.1.11 # MIT
 keystoneauth1>=2.1.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
 oslo.serialization>=1.10.0 # Apache-2.0
@@ -11,4 +11,4 @@
 python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
 requests!=2.9.0,>=2.8.1 # Apache-2.0
 six>=1.9.0 # MIT
-stevedore>=1.5.0 # Apache-2.0
+stevedore>=1.10.0 # Apache-2.0

=== debian/changelog ===
python-ceilometerclient (2.5.0-1+122~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * Change directory to $ADTTMP before running Debian tests
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * .gitreview: Copy from orig tar file.
  * d/gbp.conf: Update debian-branch for Newton.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-tests.patch: Rebased.
  * ceilometerclient/v2/client.py: Copy from orig tar file.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Wed, 07 Sep 2016 12:05:00 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
                python3-setuptools,
 Build-Depends-Indep: python-coverage,
                      python-fixtures,
-                     python-hacking,
                      python-iso8601,
                      python-keystoneclient (>= 1:1.6.0),
                      python-mock,
@@ -27,8 +26,8 @@
                      python-prettytable,
                      python-requests (>= 2.8.1),
                      python-six (>= 1.9.0),
-                     python-stevedore (>= 1.5.0),
-                     python-tempest-lib (>= 0.14.0),
+                     python-stevedore (>= 1.10.0),
+                     python-tempest (>= 1:11.0.0),
                      python-testtools,
                      python-keystoneauth1 (>= 2.1.0),
                      python3-fixtures,
@@ -41,14 +40,14 @@
                      python3-prettytable,
                      python3-requests (>= 2.8.1),
                      python3-six (>= 1.9.0),
-                     python3-stevedore (>= 1.5.0),
+                     python3-stevedore (>= 1.10.0),
                      python3-subunit,
-                     python3-tempest-lib (>= 0.14.0),
+                     python3-tempest (>= 1:11.0.0),
                      python3-testtools,
                      python3-keystoneauth1 (>= 2.1.0),
                      subunit,
                      testrepository,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-ceilometerclient.git/
 Vcs-Git: https://anonscm.debian.org/git/openstack/python-ceilometerclient.git
 Homepage: http://www.openstack.org
@@ -65,7 +64,7 @@
          python-prettytable,
          python-requests (>= 2.8.1),
          python-six (>= 1.9.0),
-         python-stevedore (>= 1.5.0),
+         python-stevedore (>= 1.10.0),
          python-keystoneauth1 (>= 2.1.0),
          ${misc:Depends},
          ${python:Depends},
@@ -95,7 +94,7 @@
          python3-prettytable,
          python3-requests (>= 2.8.1),
          python3-six (>= 1.9.0),
-         python3-stevedore (>= 1.5.0),
+         python3-stevedore (>= 1.10.0),
          python3-keystoneauth1 (>= 2.1.0),
          ${misc:Depends},
          ${python3:Depends},

## python-ceilometerclient 2.6.1

=== requirements.txt ===
--- 
+++ 
@@ -8,7 +8,6 @@
 oslo.serialization>=1.10.0 # Apache-2.0
 oslo.utils>=3.5.0 # Apache-2.0
 PrettyTable<0.8,>=0.7 # BSD
-python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
 requests!=2.9.0,>=2.8.1 # Apache-2.0
 six>=1.9.0 # MIT
 stevedore>=1.10.0 # Apache-2.0

=== debian/changelog ===
python-ceilometerclient (2.6.1-2+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 26 Sep 2016 19:42:10 +0000

python-ceilometerclient (2.6.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * Change directory to $ADTTMP before running Debian tests
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * .gitreview: Copy from orig tar file.
  * d/gbp.conf: Update debian-branch for Newton.
  * d/control: Align (Build-)Depends with upstream.
  * ceilometerclient/v2/client.py: Copy from orig tar file.

  [ Thomas Goirand ]
  * New upstream release.
  * Using pkgos-dh_auto_{install,test} from openstack-pkg-tools >= 52~.
  * Using OpenStack's Gerrit as VCS URLs.
  * d/p/skip-tests.patch: deleted.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Sep 2016 09:48:32 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
@@ -48,8 +48,8 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-ceilometerclient.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-ceilometerclient.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-ceilometerclient?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-ceilometerclient -b debian/newton
 Homepage: http://www.openstack.org
 XS-Testsuite: autopkgtest

## python-ceilometerclient 2.6.2

=== debian/changelog ===
python-ceilometerclient (2.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Bumped debhelper compat version to 10

 -- Ondřej Nový <onovy@debian.org>  Wed, 28 Dec 2016 23:53:11 +0100

python-ceilometerclient (2.6.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 10:35:28 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,

=== debian/rules ===
#!/usr/bin/make -f

MANIFEST_EXCLUDE_STANDARD := ceilometerclient
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
#	@echo "===> Running tests"
#	set -e ; set -x ; for i in $(PYTHONS) $(PYTHON3S) ; do \
#		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
#		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
#		rm -rf .testrepository ; \
#		testr-python$$PYMAJOR init ; \
#		TEMP_REZ=`mktemp -t` ; \
#		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'ceilometerclient\.tests\.unit\.(?!.*test_client.ClientAuthTest\.test_discover_auth_versions.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
#		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
#		rm -f $$TEMP_REZ ; \
#		testr-python$$PYMAJOR slowest ; \
#	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-ceilometerclient-doc/usr/share/doc/python-ceilometerclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .testrepository
	rm -rf doc/man

override_dh_installman:
#ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
#	sphinx-build -b man doc/source doc/man
#	mv doc/man/python-ceilometerclient.1 doc/man/ceilometer.1
#	sed -i s/python-ceilometerclient/python-ceilometerclient/ doc/man/ceilometer.1
#	dh_installman -O--buildsystem=python_distutils
#endif
